<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateImeRouteFilterElementReq StructType
 * @subpackage Structs
 */
class UpdateImeRouteFilterElementReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The elementType
     * Meta information extracted from the WSDL
     * - default: Domain
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $elementType;
    /**
     * The imeRouteFilterGroupName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $imeRouteFilterGroupName;
    /**
     * Constructor method for UpdateImeRouteFilterElementReq
     * @uses UpdateImeRouteFilterElementReq::setNewName()
     * @uses UpdateImeRouteFilterElementReq::setDescription()
     * @uses UpdateImeRouteFilterElementReq::setElementType()
     * @uses UpdateImeRouteFilterElementReq::setImeRouteFilterGroupName()
     * @param string $newName
     * @param string $description
     * @param string $elementType
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $imeRouteFilterGroupName
     */
    public function __construct($newName = null, $description = null, $elementType = 'Domain', \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $imeRouteFilterGroupName = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setElementType($elementType)
            ->setImeRouteFilterGroupName($imeRouteFilterGroupName);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateImeRouteFilterElementReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateImeRouteFilterElementReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get elementType value
     * @return string|null
     */
    public function getElementType()
    {
        return $this->elementType;
    }
    /**
     * Set elementType value
     * @param string $elementType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateImeRouteFilterElementReq
     */
    public function setElementType($elementType = 'Domain')
    {
        $this->elementType = $elementType;
        return $this;
    }
    /**
     * Get imeRouteFilterGroupName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getImeRouteFilterGroupName()
    {
        return $this->imeRouteFilterGroupName;
    }
    /**
     * Set imeRouteFilterGroupName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $imeRouteFilterGroupName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateImeRouteFilterElementReq
     */
    public function setImeRouteFilterGroupName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $imeRouteFilterGroupName = null)
    {
        $this->imeRouteFilterGroupName = $imeRouteFilterGroupName;
        return $this;
    }
}
